#!/bin/bash

#########################################################
# 
#                               __                     __
#    ____ ___  __  __________  / /___  ______    _____/ /_
#   / __ `__ \/ / / / ___/ _ \/ __/ / / / __ \  / ___/ __ \
#  / / / / / / /_/ (__  )  __/ /_/ /_/ / /_/ / (__  ) / / /
# /_/ /_/ /_/\__, /____/\___/\__/\__,_/ .___(_)____/_/ /_/
#           /____/                   /_/
# Create all the links to to my dotfiles and maybe it can go get other needed 
# repos I might want, and tools??
# 9/5/2022
#
#########################################################

# Might need to have differnt sections, like '-l' todo just the sym links
# -r to download my repos I want
# -a to go and apt install common apps I want on all my systems



#bash files
echo "Linking bash config files"
ln -fs ~/mydev/my-dotfiles/.bashrc ~/.bashrc
ln -fs ~/mydel/my-dotfiles/.bash_alias ~/.bash_alias

#git files
echo "Linking git config files"
ln -fs ~/mydev/my-dotfiles/.gitconfig ~/.gitconfig

#vimrc file
ln -fs ~/mydev/my-dotfiles/.vimrc ~/.vimrc

#neovim config
#check if nvim folder is there, if not create it
if [ ! -d "~/.config" ]; then
    echo "~/.config folder not found. creating it"
    mkdir ~/.config
fi

if [ ! -d "~/.config/nvim" ]; then
	# folder there, just create link
	echo "nvim folder not found, creating it"
	mkdir ~/.config/nvim
fi

echo "Link nvim config files"
ln -fs ~/mydev/my-dotfiles/init.vim ~/.config/nvim/init.vim
ln -fs ~/mydev/my-dotfiles/plugins-to-load.vim ~/.config/nvim/plugins-to-load.vim
ln -fs ~/mydev/my-dotfiles/fzf-plugin-settings.vim ~/.config/nvim/fzf-plugin-settings.vim
ln -fs ~/mydev/my-dotfiles/nvim-basic-settings.vim ~/.config/nvim/nvim-basic-settings.vim


